/*
 * Main Reset javascript file
*/

jQuery(document).ready( function ($) {
    'use strict';
    
    // Get website url
    var url =  $('meta[name=url]').attr('content');
    
    /*******************************
    METHODS
    ********************************/
   

    /*******************************
    ACTIONS
    ********************************/

   
    /*******************************
    RESPONSES
    ********************************/
    
    /*******************************
    FORMS
    ********************************/
   
    /*
     * Verify coupon code
     * 
     * @param object e with global object
     * 
     * @since   0.0.7.8
     */
    $('.verify-coupon-code').submit(function (e) {
        e.preventDefault();

        // Set code
        var code = $( '.code' ).val();
        
        // Set the plan price
        var plan_price = $('.gateways').attr('data-price');   

        $.ajax({
            url: url + 'user/verify-coupon/' + code,
            dataType: 'json',
            type: 'GET',
            success: function (data) {

                if ( data ) {
                    
                    // Set discount
                    var discount = plan_price/100*data;
                    
                    // Calculate discount
                    var result = plan_price - discount;
                    
                    // Set new price
                    $( '.plan-price' ).text( result.toFixed(2) );
                    
                    // Set the discount
                    $( '.discount-price' ).text( '(-' + data + '%)' );
                    
                    // Empty current coupon code field
                    $( '.code' ).val( '' );    
                    
                    // Prepare notification
                    var notification = '<div class="notification">'
                        + words.mm217
                        + '</div>';

                    // Display notification
                    $('section').after(notification);

                    // Add show class
                    $('.main .notification').addClass('show');

                    // Wait 3 seconds
                    setTimeout(function () {

                        // Hide notification
                        $('.main .notification').remove();

                        if (status === 'success') {

                            // Redirect user
                            document.location.href = data.redirect;

                        }

                    }, 3000);
                    
                } else {

                    // Prepare notification
                    var notification = '<div class="notification">'
                        + ords.mm216
                        + '</div>';

                    // Display notification
                    $('section').after(notification);

                    // Add show class
                    $('.main .notification').addClass('show');

                    // Wait 3 seconds
                    setTimeout(function () {

                        // Hide notification
                        $('.main .notification').remove();

                        if (status === 'success') {

                            // Redirect user
                            document.location.href = data.redirect;

                        }

                    }, 3000);
                    
                }
                
            },
            error: function (data, jqXHR, textStatus) {
                
                // Prepare notification
                var notification = '<div class="notification">'
                    + words.mm216
                    + '</div>';

                // Display notification
                $('section').after(notification);

                // Add show class
                $('.main .notification').addClass('show');

                // Wait 3 seconds
                setTimeout(function () {

                    // Hide notification
                    $('.main .notification').remove();

                    if (status === 'success') {

                        // Redirect user
                        document.location.href = data.redirect;

                    }

                }, 3000);
                
            }
            
        });

    });
    
    /*******************************
    DEPENDENCIES
    ********************************/

 
});